/* I, Sorin, have formated this css file.
   I added titles for each section,
   titles which I think I made rather suggestive.

   Variables - for variables
   Common - for html tags, multiple declarations and classes that are used in more than one section
   Menu - for menu elements like buttons
   Game - for anything that is inside the game container
   Media query - for, you guessed media queries

   Please, respect it.
*/
/*You earned your respect - Marius*/
/* Variables */

:root {
    --main-bg-color: aliceblue;
    --main-bg-color-rgb: 240, 248, 255;

    --main-light-color: white;
    --main-light-color-rgb: 255, 255, 255;

    --main-dark-color: black;
    --smile-position-X: 5%;
    --smile-position-Y: 5%;
    --main-dark-color-rgb: 0, 0, 0;

    --primary-btn-text-color: #c6b0a2;

    --primary-menu-btn-color: #553732;
    --secondary-menu-btn-color: #80483f;

    --primary-bottom-btn-color: #1d2a3f;
    --secondary-bottom-btn-color: #2c4061;

    --light-btn-border-color: #bbb0ad;
    --dark-btn-border-color: #887570;
}


/* <-------> */

/* Common */

html {
    overflow: hidden;
}

*,
body,
h2,
p {
    margin: 0;
    padding: 0;
}

span,
#text,
p {
    font-size: 25px;
}

.text-shadow {
    text-shadow: 2px 2px 7px var(--light-btn-border-color), 8px 3px 10px var(--main-dark-color);
}

.title {
    font-size: 80px;
    font-weight: bold;
    cursor: default;
    color: var(--primary-bottom-btn-color);
}

.info-column,
.info-col-btn,
.instr-column,
.instr-col-btn {
    background-color: var(--main-bg-color);
}

.main-container,
.main-menu-cont-col,
.buttons-accordion,
.info-column,
.instr-column,
.bottom-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;

}

body {
    position: relative;

    overflow: hidden;

    font-family: 'AliceInWonderland', sans-serif;

    background-image: url("../img/backgrounds/menu.jpg");

    background-repeat: no-repeat;
    background-size: cover;
    background-position: 55%;
    transition: .5s ease-in;

    height: 100vh;

}

.text-align-center {
    text-align: center;
}

.no-underline {
    text-decoration: none;
}

.no-outline:focus {
    outline: none;
    box-shadow: none;
}

.smile {
    pointer-events: none;
    position: absolute;
    top: var(--smile-position-Y);
    left: var(--smile-position-X);

    opacity: 0;

    rotate: -60deg;

    width: 100px;
}

.stopAudio {
    z-index: 20;
    position: absolute;
    top: 5px;
    left: 5px;
    width: 24px;
    height: 24px;
    background: transparent;
    border: none;
    background-image: url("../img/misc/audio-speaker.png");
}

.hide {
    visibility: hidden;
}

.invisible {
    opacity: 0;
    pointer-events: none;
}

.showBtn {
    opacity: 1;
    pointer-events: auto;
}

.hidden {
    display: none;
}

/* <-------> */

/* Menu */

.main-menu-cont-col {
    width: 100%;
    height: 100%;
    top: 0;
    position: absolute;
    left: 0;
    flex-direction: column;
    z-index: 10;
}

.main-menu-container h1 {
    margin-bottom: 50px;
}

.btn {
    min-width: 85px;
    margin: 10px 0px;
}

.btn-main-menu {
    margin: 10px auto;
    padding: 10px 0;

    width: 250px;

    color: var(--primary-btn-text-color);
    font-size: 24px;
    font-weight: bold;
    letter-spacing: 2px;
    text-shadow: 0 1px 3px var(--main-dark-color);

    background: radial-gradient(circle, var(--primary-menu-btn-color), var(--primary-menu-btn-color));

    border-top: 4px ridge var(--dark-btn-border-color);
    border-left: 4px groove var(--light-btn-border-color);
    border-right: 4px ridge var(--light-btn-border-color);
    border-bottom: 4px groove var(--light-btn-border-color);
    border-radius: 8px;
    opacity: 1;
    box-shadow: inset 0px 0px 5px 3px rgba(var(--main-dark-color-rgb), 0.3);

    transition: box-shadow 1.5s, text-shadow .5s, scale .5s;
}

.btn-main-menu:hover {
    scale: 1.05;
    text-shadow: 0 1px 1px rgba(var(--main-bg-color-rgb), 0.2);
    box-shadow: inset 0px 0px 20px 12px rgba(var(--main-dark-color-rgb), 0.5),
        0px 0 5px 5px rgba(var(--main-light-color-rgb), 0.2);
}

.btn-main-menu:active {
    background: radial-gradient(circle, var(--secondary-menu-btn-color), var(--primary-menu-btn-color));

    scale: 1.05;

    text-shadow: 0 1px 1px rgba(var(--main-bg-color-rgb), 0.2);
    box-shadow: inset 0px 0px 20px 12px rgba(var(--main-dark-color-rgb), 0.5),
        0px 0 5px 5px rgba(var(--main-light-color-rgb), 0.2);
}

.bottom-buttons .undo-redo {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}

.btn-bottom-options {
    margin: 8px auto;
    padding: 10px 0;

    width: 150px;

    color: var(--primary-btn-text-color);
    font-size: 22px;
    font-weight: 400;
    letter-spacing: 2px;
    text-shadow: 0 1px 3px var(--main-dark-color);

    background: radial-gradient(circle, var(--primary-bottom-btn-color), var(--primary-bottom-btn-color));

    border-top: 4px ridge var(--dark-btn-border-color);
    border-left: 4px groove var(--light-btn-border-color);
    border-right: 4px ridge var(--light-btn-border-color);
    border-bottom: 4px groove var(--light-btn-border-color);
    border-radius: 8px;

    box-shadow: inset 0px 0px 5px 3px rgba(var(--main-dark-color-rgb), 0.3);

    transition: box-shadow 1.5s, text-shadow .5s, scale .5s;
}

.btn-bottom-options:hover {
    scale: 1.05;

    text-shadow: 0 1px 1px rgba(var(--main-bg-color-rgb), 0.2);
    box-shadow: inset 0px 0px 20px 12px rgba(var(--main-dark-color-rgb), 0.5),
        0px 0 5px 5px rgba(var(--main-light-color-rgb), 0.2);
}

.btn-bottom-options:active {
    background: radial-gradient(circle, var(--secondary-bottom-btn-color), var(--primary-bottom-btn-color));

    scale: 1.05;

    text-shadow: 0 1px 1px rgba(var(--main-bg-color-rgb), 0.2);
    box-shadow: inset 0px 0px 20px 12px rgba(var(--main-dark-color-rgb), 0.5),
        0px 0 5px 5px rgba(var(--main-light-color-rgb), 0.2);
}

.accordion {
    margin-bottom: 20px;
    width: 20%;
    min-width: 300px;
}

.accordion .btn-bottom-options,
.accordion .btn-main-menu {
    font-size: 18px;
}

.accordion-item {
    background: rgba(215, 244, 241, 0.25);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.accordion-button {
    font-size: 25px;
    font-weight: bold;
    background-color: transparent;
}

.accordion-button::after,
.accordion-button:not(.collapsed) {
    background-color: transparent;
    color: black;
    box-shadow: none;
}

.accordion-button:not(.collapsed)::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23212529'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.accordion-button:focus {
    border-color: transparent;
    box-shadow: none;
}

.buttons-accordion {
    text-align: left;
}

#search-depth,
#search-depth-white {
    margin-bottom: 20px;
    background-color: rgba(var(--main-bg-color-rgb), .3);
    font-size: 25px;
    border: none;
    border-radius: 8px;
    margin-left: 5px;
}

.info-col-btn,
.instr-col-btn {
    position: absolute;

    width: 88px;
    height: 44px;

    border: none;

    border-color: black;
    border-style: solid;

    border-width: 2px 2px 0 2px;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    border-bottom: none;

    background: rgba(215, 244, 241, 0.25);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}
.info-col-btn {
    top: 20px;
    left: -67px;

    rotate: -90deg;
}

.instr-col-btn {

    top: 20px;
    right: -67px;

    rotate: 90deg;
}

label {
    margin-bottom: 20px;
    font-size: 28px;
    font-weight: bold;
    color: var(--primary-bottom-btn-color);
}

label .text-shadow {
    text-shadow: 2px 2px 7px var(--light-btn-border-color), 7px 3px 5px var(--main-dark-color);
}

input {
    padding-left: 10px;
    border-radius: 8px;
    width: 300px;
    font-size: 25px;
    background: linear-gradient(45deg, black, transparent);
    background-color: var(--secondary-bottom-btn-color);
    color: var(--primary-btn-text-color);
}

input:focus {
    box-shadow: inset 0px 0px 20px 12px rgba(var(--main-dark-color-rgb), 0.5),
        0px 0 5px 5px rgba(var(--main-light-color-rgb), 0.2);
}

/* <-------> */

/* Game */

.info-column, .instr-column {
    position: absolute;

    top: 0;

    z-index: 2;

    max-width: 400px;
    max-height: 595px;

    border: 2px solid black;
    border-radius: 20px;


    background: rgba(215, 244, 241, 0.25);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    color: darkgoldenrod;

    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.info-column {
    right: 0;
    transform: translate(100%, 10%);
    border-top-left-radius: 0px;
}

.instr-column {
    left: 0;
    z-index: 30;

    transform: translate(-100%, 10%);
    
    border-top-right-radius: 0px;
    border-bottom-left-radius: 0px;


}

.instr-column .instr-column-text {
    overflow: scroll;
    padding: 0 5px;
    padding-top: 10px;
}

.instr-column-text::-webkit-scrollbar { 
    width: 0 !important 
}

.instr-column .instr-column-text p {
    color: var(--primary-bottom-btn-color);
    font-size: 25px;
    margin: 5px 0;
    text-shadow: 2px 2px 7px var(--main-bg-color);
}

.instr-column .instr-column-text h2 {
    font-weight: bold;
}

.info-column label {
    color: darkgoldenrod;
}

.info-column .advantage-section .progress {
    margin-top: 10px;
}

.info-column .position-section p {

    font-size: 30px;
}

.game-column {
    margin: 0 auto;
    max-width: 2560px;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.game-column .btn-header {
    border: 2px solid black;
}

.game-column .btn-header:hover {
    border: 2px solid black;
    box-shadow: inset 0 0 3px 3px darkgray;
}

#myBoard {
    margin: 0;
    padding: 0;
}

#myBoard img {
    transition: 0.5s ease-in;
}

#myBoard img:hover {
    transform: translateY(-10px) scale(1.1);

}

.board-b72b1 {
    background: linear-gradient(0deg, var(--secondary-bottom-btn-color) 50%, var(--primary-btn-text-color) 0%);
    box-shadow: 0px 0px 15px 5px rgba(167, 128, 31, .5);

}

.square-55d63 {
    transition: .4s ease-in;
}

.white-1e1d7 {
    background-color: var(--primary-btn-text-color);

    border-top-right-radius: 20px;
    border-bottom-left-radius: 20px;
}

.black-3c85d {
    background-color: var(--secondary-bottom-btn-color);

    border-top-right-radius: 20px;
    border-bottom-left-radius: 20px;
}

.highlight-white {
    box-shadow: inset 50% 50% 10px 10px var(--secondary-btn-text-color);
}

.highlight-black {
    box-shadow: inset 0 0 3px 3px var(--primary-bottom-btn-color);
}

.highlight-hint {
    box-shadow: inset 0 0 3px 3px #D1B000;
}

#showHint {
    width: auto;
}

#infoCol .title {
    font-size: 50px;
}

/* <-------> */

/* Media query - responsiveness */
@media (max-width: 1024px) {
    #infoCol .title {
        font-size: 40px;
    }

    .info-column, .instr-column {
        max-width: 300px;
        max-height: 545px;
    }

    span, #text, p, label {
        font-size: 25px;
    }

    .info-column .position-section p {

        font-size: 25px;
    }

    .btn-bottom-options {
        width: 130px;
        font-size: 18px;
        scale: .8;
    }
}


@media (max-width: 992px) {

    .btn-bottom-options:hover {
        scale: 1;
    }

    #infoCol label, #infoCol span, #infoCol #text, p {
        font-size: 25px;
    }
}

@media (max-width: 767px) {
    body {
        background-position: 52%;
    }

    .btn-bottom-options {
        width: 130px;
        font-size: 18px;
        scale: .8;
    }

    .undo-redo {
        gap: 10px;
    }

}

@media (max-width: 425px) {
    .game-container {
        flex-direction: column-reverse;
    }

    .title {
        font-size: 60px;
    }

    .btn-main-menu {
        width: 200px;
    }

    input {
        font-size: 22px;
    }

    span, #text, p {
        font-size: 20px;
    }

}

@media (max-width: 375px) {
    #infoCol .title {
        font-size: 35px;
    }

    #infoCol label, #infoCol span, #infoCol #text, p {

        font-size: 20px;
    }
}

/* <-------> */


@keyframes smileShow {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }

}

@keyframes hideBtn {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

/* <-------> */
